Name:           mdraid-snmp-mib
Version:        0.2
Release:        1%{?dist}
Summary:        An SNMP MIB to represent MD-RAID data

License:        LGPLv3
URL:            https://www.mad-hacking.net/software/linux/agnostic/%{name}/index.xml
Source0:        https://github.com/MADhacking/%{name}/archive/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch
Requires:       net-snmp hacking-snmp-mib


%description
The mdraid-snmp-mib package provides the Hacking Networked Solutions 
MD-RAID-MIB. This MIB file describes a standard format for MD-RAID array 
state data allowing remote monitoring of array health using SNMP. Information 
included in the entry for each array includes Array Path, Metadata Version, 
Array UUID, RAID Level, RAID Layout, and Chunk Size. Boolean indicators 
allowing the monitoring of Health State, Has Failed Components and Has 
Available Spares are also included. Finally, gauges representing Total 
Components, Active Components, Failed Components and Spare Components are 
provided.


%prep
%autosetup -n %{name}-%{name}-%{version}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/snmp/mibs
install -c -m 644  usr/share/snmp/mibs/MD-RAID-MIB.txt $RPM_BUILD_ROOT%{_datadir}/snmp/mibs


%files
%license LICENSE
%doc README.md
%{_datadir}/snmp/mibs/MD-RAID-MIB.txt


%changelog
* Mon Jun  4 2018 Gary T. Giesen <ggiesen@giesen.me> - 0.2-1
- Initial build.
